<span uib-popover-template="'concept-popover.html'" popover-title="{{$ctrl.term}}"
       popover-trigger="'mouseenter'"><span uib-popover-template="'synonyms-popover.html'" popover-enable="{{$root.showBinarySynonyms && $root.isBinaryEnrichmentGlobal}}" popover-placement="bottom"
                                            popover-title="Synonyms for {{$ctrl.term}}" popover-class="popover-synonyms" class="{{classes}}" style="{{styles}}" popover-trigger="'mouseenter'">{{$ctrl.term}}</span></span>

<script type="text/ng-template" id="synonyms-popover.html">
  <div>
    <strong>Correctly spelled</strong>
    <div ng-show="synonymdata.synonyms.length == 0">-</div>
    <div ng-show="synonymdata.synonyms.length > 0" ng-repeat="synonymobj in synonymdata.synonyms">
    {{synonymobj.term}}
    </div>
  </div>
  <div>
    <strong>Misspelled</strong>
    <div ng-show="synonymdata.misspelledsynonyms.length == 0">-</div>
    <div ng-show="synonymdata.misspelledsynonyms.length > 0" ng-repeat="synonymobj in synonymdata.misspelledsynonyms">
      {{synonymobj.term}}
    </div>
  </div>
</script>

<script type="text/ng-template" id="concept-popover.html">

  <div ng-if="!suggested">
    <div class="mv2"> <label>Term: </label> <span ng-class="$ctrl.termMisspelled === 'true'?'red':''">{{$ctrl.term}}</span></div>
    <div ng-if="$ctrl.rewrittenTerm !== ''" class="mv2"> <label>Rewritten term: </label> {{$ctrl.rewrittenTerm}}</div>
    <div ng-if="$ctrl.termMisspelled === 'true'" class="mv2"> <label>Misspelled term: </label> {{$ctrl.termMisspelled}}</div>
    <div class="mv2"> <label>Concept: </label> {{$ctrl.concept}}</div>
    <div class="mv2"> <label>Type: </label><span class="{{concept_type_classes}}">&nbsp;{{$ctrl.presentationType}}&nbsp;</span></div>
    <!--<div class="mv2"> <label>Efterfrågat: </label> {{$ctrl.demanded}} </div>-->
    <div ng-if="$ctrl.prediction !== 'undefined'" class="mv2"> <label>Prediction: </label> {{$ctrl.prediction}} </div>
    <!--<div class="mv2"> <label>candidate_saturation: </label> {{candidate_saturation}} </div>-->
    <!--<input type="text" class="db w-100 mt4 mb2" ng-model="reason"-->
     <!--placeholder="Anledning (Frivilligt)" />-->
    <!--<button ng-cick="suggestClicked(reason)" class="mv2 bultton bg-black white br3 ph3 pv2 dim">-->
       <!--Rapportera felaktig term-->
     <!--</button>-->
  </div>
  <!--<div ng-if="suggested">-->
    <!--<h1 class="sans-serif ttu dark-green f2 tc"> Suggested! </h1>-->
  <!--</div>-->
  <div ng-if="loading">
    <h1 class="sans-serif ttu dark-blue f2 tc"> Loading... </h1>
  </div>
  <div ng-if="error">
    <h1 class="sans-serif ttu dark-red f2 tc"> Error! </h1>
  </div>
</script>
